import type { Processor, Plugin } from 'unified';
import { markdownToBlocks } from '@tryfabric/martian';
import type { AppendBlockChildrenParameters } from '@notionhq/client/build/src/api-endpoints';
import type { Root, Content } from 'hast';
import { type Options as GfmToMarkdownOptions } from 'mdast-util-gfm';
import { type Options as MdastToMarkdownOptionsWithoutGFM } from 'mdast-util-to-markdown';
import { Options as HastToMdastOptions } from 'hast-util-to-mdast';
export type Block = AppendBlockChildrenParameters['children'][number];
type Node = Root | Content;
export type MarkdownToNotionOptions = Exclude<Parameters<typeof markdownToBlocks>[1], void>;
export type MdastToMarkdownOptions = MdastToMarkdownOptionsWithoutGFM & GfmToMarkdownOptions;
export interface Options {
    hastToMdastOptions?: HastToMdastOptions;
    mdastToMarkdownOptions?: MdastToMarkdownOptions;
    markdownToNotionOptions?: MarkdownToNotionOptions;
}
declare const rehypeToNotion: Plugin<[Options] | [void] | [], Node, Block[]> & ThisType<Processor>;
export default rehypeToNotion;
