import { markdownToBlocks } from '@tryfabric/martian';
import { gfmToMarkdown } from 'mdast-util-gfm';
import { toMarkdown, } from 'mdast-util-to-markdown';
import { toMdast } from 'hast-util-to-mdast';
const rehypeToNotion = function (options) {
    // /** @type {import('unified').CompilerFunction<Node, string>} */
    const compiler = (tree) => {
        // Assume options.
        const settings = this.data('settings');
        const mdast = toMdast(tree, {
            ...options?.hastToMdastOptions,
        });
        const markdown = toMarkdown(mdast, {
            ...options?.mdastToMarkdownOptions,
            extensions: [
                ...(options?.mdastToMarkdownOptions?.extensions ?? []),
                gfmToMarkdown(options?.mdastToMarkdownOptions),
            ],
        });
        return markdownToBlocks(markdown, Object.assign({}, options?.markdownToNotionOptions));
    };
    Object.assign(this, { Compiler: compiler });
};
export default rehypeToNotion;
//# sourceMappingURL=rehype-notion.js.map